printf "%-20s %-20s %-20s\n" "Device" "Type" "Volume"
for part in $(fdisk -l |awk '/dev/ {print $1,$NF}');do
dev=$(echo ${part} |cut -d " " -f1)
echo dev $dev
devtype=$(echo ${part} |cut -d " " -f2)
volume=`/var/config/tune2fs -l $dev  |grep "volume name" |awk -F ' ' '{print $1}'`

                if [ -z ${volume} ];then
                volume="no label"
                fi
                            
         printf "%-20s %-20s %-20s\n" $dev $devtype $volume
                                done
